Skip to main content
POST
/
Agent
/
Intelligence
/
CheckEndpoint
Check Endpoint
curl --request POST \
  --url https://{host}/Agent/Intelligence/CheckEndpoint \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "endpoint": "<string>"
}
'
{
  "endpoint": "<string>",
  "EndpointInfo": {
    "created": "2023-11-07T05:31:56Z",
    "domain": "<string>",
    "lastProtocol": "<string>",
    "lastFailed": true,
    "permanentBlock": true,
    "temporaryBlock": "2023-11-07T05:31:56Z",
    "reason": "<string>",
    "whois": "<string>",
    "city": "<string>",
    "region": "<string>",
    "country": "<string>",
    "countryCode": "<string>",
    "flag": "<string>"
  }
}

Overview

Allows the client to check open intelligence of an endpoint.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
endpoint
string
required

Response

200 - application/json

Success

endpoint
string
required
EndpointInfo
object